Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache
Class EhCacheProvider

    java.lang.Object
      org.hibernate.cache.EhCacheProvider

All Implemented Interfaces:
  CacheProvider

    public class EhCacheProvider

extends Object
implements CacheProvider

Cache Provider plugin for ehcache-1.2. New in this provider are ehcache support for multiple Hibernate session factories, each with its own ehcache configuration, and non Serializable keys and values. Ehcache-1.2 also has many other features such as cluster support and listeners, which can be used seamlessly simply by configurion in ehcache.xml.

Use `hibernate.cache.provider_class=org.hibernate.cache.EhCacheProvider` in the Hibernate configuration to enable this provider for Hibernate's second level cache.

When configuring multiple ehcache CacheManagers, as you would where you have multiple Hibernate Configurations and multiple SessionFactories, specify in each Hibernate configuration the ehcache configuration using the property `hibernate.cache.provider_configuration_file_resource_path` An example to set an ehcache configuration called ehcache-2.xml would be `hibernate.cache.provider_configuration_file_resource_path=/ehcache-2.xml`. If the leading slash is not there one will be added. The configuration file will be looked for in the root of the classpath.

Updated for ehcache-1.2. Note this provider requires ehcache-1.2.jar. Make sure ehcache-1.1.jar or earlier is not in the classpath or it will not work.

See http://ehcache.sf.net for documentation on ehcache

Author:
  Greg Luck, Emmanuel Bernard

Constructor Summary
`EhCacheProvider()`

Method Summary
`Cache` | `buildCache(String name, Properties properties)` Builds a Cache.
`boolean` | `isMinimalPutsEnabledByDefault()`
`long` | `nextTimestamp()` Returns the next timestamp.
`void` | `start(Properties properties)` Callback to perform any necessary initialization of the underlying cache implementation during SessionFactory construction.
`void` | `stop()` Callback to perform any necessary cleanup of the underlying cache implementation during SessionFactory.close().

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EhCacheProvider

    public EhCacheProvider()

Method Detail

### buildCache

    public Cache buildCache(String name,
                            Properties properties)
                     throws CacheException

  Builds a Cache.

  Even though this method provides properties, they are not used. Properties for EHCache are specified in the ehcache.xml file. Configuration will be read from ehcache.xml for a cache declaration where the name attribute matches the name parameter in this builder.

  Specified by:
    `buildCache` in interface `CacheProvider`
  Parameters:
    `name` - the name of the cache. Must match a cache configured in ehcache.xml
    `properties` - not used
  Returns:
    a newly built cache will be built and initialised
  Throws:
    `CacheException` - inter alia, if a cache of the same name already exists

### nextTimestamp

    public long nextTimestamp()

  Returns the next timestamp.

  Specified by:
    `nextTimestamp` in interface `CacheProvider`

### start

    public void start(Properties properties)
               throws CacheException

  Callback to perform any necessary initialization of the underlying cache implementation during SessionFactory construction.

  Specified by:
    `start` in interface `CacheProvider`
  Parameters:
    `properties` - current configuration settings.
  Throws:
    `CacheException`

### stop

    public void stop()

  Callback to perform any necessary cleanup of the underlying cache implementation during SessionFactory.close().

  Specified by:
    `stop` in interface `CacheProvider`

### isMinimalPutsEnabledByDefault

    public boolean isMinimalPutsEnabledByDefault()

  Specified by:
    `isMinimalPutsEnabledByDefault` in interface `CacheProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD